Parse is called on both unsigned and signed transactions to understand the intent of the formulated transaction. This is run as a sanity check before signing (after /construction/payloads) and before broadcast (after /construction/combine).

export
interface

  RosettaConstructionParseRequest

### Hierarchy

- RosettaConstructionParseRequest

## Index

### Properties

- network_identifier
- signed
- transaction

## Properties

### network_identifier

network_identifier: NetworkIdentifier

- Defined in src/generated/models/RosettaConstructionParseRequest.ts:34

memberof

  RosettaConstructionParseRequest

### signed

signed: boolean

- Defined in src/generated/models/RosettaConstructionParseRequest.ts:40

Signed is a boolean indicating whether the transaction is signed.

memberof

  RosettaConstructionParseRequest

### transaction

transaction: string

- Defined in src/generated/models/RosettaConstructionParseRequest.ts:46

This must be either the unsigned transaction blob returned by /construction/payloads or the signed transaction blob returned by /construction/combine.

memberof

  RosettaConstructionParseRequest

Generated using TypeDoc